/* Testprogram fr BIN_IO Module
   Axel Rohrbacher
   18.04.2010

   Erlaubt die Versendung von Kommandos ber Serielle Schnittstelle vom PC.
   Diese werden dann ber TWI an die BIN_IO_Module weitergegeben.

   Danke an alle Code-Spender !

   F_CPU setzen !

*/

// AVR includes
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <util/delay.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

// Lib includes
#include "../libs/USART/uart.h"
#include "../libs/WATCHDOG/watchdog.h"
#include "../libs/TWI/TWI_Master.h"

// Programm includes
#include "cmd.h"


int main()
{
    unsigned char s[20]; // Lesbarer Eingangs-String
	unsigned char c[20]; // Binr-Kommandopuffer - Data in i2c.

// Inits
UART_init();			
UART_fdevopen();			// printf stream auf uart 
wdt_enable(WDTO_500MS);   	// Watchdog for bootloader
twi_init();
sei();

printf_P(PSTR("Testprogramm fr IO Module \r\n"));

for (;;) {

	wdt_reset();

	/* Ask for command and store result in string s */
	UART_readline(PSTR("Enter command. \r\n"), s);

	/* Ask for command and store result in string s */
	/*printf_P(PSTR("Enter command. \r\n"));
	
	wdt_disable();
	fgets(s, sizeof(s)-1, stdin);
	wdt_enable(WDTO_500MS);

	s[strlen(s)-2] = 0;	// drop the ending \r\n
	printf_P(PSTR("You entered '%s'\r\n"),s);

	*/





	
	/* Interpretiere das Testkommando und speichere Protokollcode in c */
	CMD_interpreter(c,s);
	
	
	//UART_readline();
	//TWI_writeline();
	//TWI_readslave();
	//UART_writeline();
	};

return(0);

}
