/************************************************************************/
/*                                                                      */
/*                      Test Software UART                              */
/*                                                                      */
/*              Author: P. Dannegger                                    */
/*                                                                      */
/************************************************************************/
//			Target: ATtiny44
#include "soft_uart.h"
#include "suart.h"
#include "usart.h"


void su_init( void )
{
  DDRD &= ~(1 << PD6);
  //DDRB = 0;
  PORTD |= (1 << PD6);
  //PORTB = 0xFF;
  suart_init();
}


void suart_test( void )
{
  su_init();
  sei();
  uputs( "Hallo Axel\n\r" );
  for(;;){
    //_delay_ms( 5000 );
    while( kbhit() )
      usart_write_char( ugetchar());
  }
}
